# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'podmode/version'

Gem::Specification.new do |spec|
  spec.name          = "podmode"
  spec.version       = Podmode::VERSION
  spec.authors       = ["Toine Heuvelmans"]
  spec.email         = ["toine@touchwonders.com"]

  spec.summary       = "Helper for defining and interpreting Cocoapods dependency modes."
  spec.description   = "A dependency can be local or remote. If remote, it can be a specific branch, or a specific tag."
  spec.license       = "Nonstandard"
  spec.homepage      = "https://www.touchwonders.com"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   << 'podmode'
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency "dotenv", "~> 2.2"
end
